Flatpak/Firefox/Liblouis Updates for Oracle Linux
Posted on: 12/06/2017 07:38 AM

The following updates has been released for Oracle Linux:

ELBA-2017-3303 Oracle Linux 7 flatpak bug fix update
ELSA-2017-3382 Important: Oracle Linux 6 firefox security update
ELSA-2017-3382 Important: Oracle Linux 7 firefox security update
ELSA-2017-3384 Moderate: Oracle Linux 7 liblouis security update

ELBA-2017-3303 Oracle Linux 7 flatpak bug fix update
Oracle Linux Bug Fix Advisory ELBA-2017-3303

http://linux.oracle.com/errata/ELBA-2017-3303.html

The following updated rpms for Oracle Linux 7 have been uploaded to the
Unbreakable Linux Network:

x86_64:
flatpak-0.8.7-3.0.2.el7_4.i686.rpm
flatpak-0.8.7-3.0.2.el7_4.x86_64.rpm
flatpak-builder-0.8.7-3.0.2.el7_4.x86_64.rpm
flatpak-devel-0.8.7-3.0.2.el7_4.i686.rpm
flatpak-devel-0.8.7-3.0.2.el7_4.x86_64.rpm
flatpak-libs-0.8.7-3.0.2.el7_4.i686.rpm
flatpak-libs-0.8.7-3.0.2.el7_4.x86_64.rpm


SRPMS:
http://oss.oracle.com/ol7/SRPMS-updates/flatpak-0.8.7-3.0.2.el7_4.src.rpm



Description of changes:

[0.8.7-3.0.2]
- Rebuild

[0.8.7-3.0.1]
- Fix docdir issue

[0.8.7-3]
- Fix crasher in xdg-desktop-portal
- Tweak spec file so it still builds even though we need to
autoreconf.

[0.8.7-2]
- Fix libostree bundling:
Ensure we do not Provide or Require libostree.
Move the shared library into flatpak-libs so flatpak always
depends on it.
Keep the shared library filename as libostree, but put it
under a private directory. Renaming the file on disk did not
really do much since the dynamic linker and RPM work from the
soname.
Resolves: #1476905
- Tweak build to work both with and without BZ#1392354


ELSA-2017-3382 Important: Oracle Linux 6 firefox security update
Oracle Linux Security Advisory ELSA-2017-3382

http://linux.oracle.com/errata/ELSA-2017-3382.html

The following updated rpms for Oracle Linux 6 have been uploaded to the
Unbreakable Linux Network:

i386:
firefox-52.5.1-1.0.1.el6_9.i686.rpm

x86_64:
firefox-52.5.1-1.0.1.el6_9.i686.rpm
firefox-52.5.1-1.0.1.el6_9.x86_64.rpm


SRPMS:
http://oss.oracle.com/ol6/SRPMS-updates/firefox-52.5.1-1.0.1.el6_9.src.rpm



Description of changes:

[52.5.1-1.0.1]
- Add firefox-oracle-default-prefs.js and remove the corresponding Red
Hat one
- Force requirement of newer gdk-pixbuf2 to ensure a proper update (Todd
Vierling) [orabug 19847484]

[52.5.1-1]
- Update to 52.5.1 ESR


ELSA-2017-3382 Important: Oracle Linux 7 firefox security update
Oracle Linux Security Advisory ELSA-2017-3382

http://linux.oracle.com/errata/ELSA-2017-3382.html

The following updated rpms for Oracle Linux 7 have been uploaded to the
Unbreakable Linux Network:

x86_64:
firefox-52.5.1-1.0.1.el7_4.i686.rpm
firefox-52.5.1-1.0.1.el7_4.x86_64.rpm


SRPMS:
http://oss.oracle.com/ol7/SRPMS-updates/firefox-52.5.1-1.0.1.el7_4.src.rpm



Description of changes:

[52.5.1-1.0.1]
- Add firefox-oracle-default-prefs.js and remove the corresponding Red
Hat file

[52.5.1-1]
- Update to 52.5.1 ESR


ELSA-2017-3384 Moderate: Oracle Linux 7 liblouis security update
Oracle Linux Security Advisory ELSA-2017-3384

http://linux.oracle.com/errata/ELSA-2017-3384.html

The following updated rpms for Oracle Linux 7 have been uploaded to the
Unbreakable Linux Network:

x86_64:
liblouis-2.5.2-12.el7_4.i686.rpm
liblouis-2.5.2-12.el7_4.x86_64.rpm
liblouis-devel-2.5.2-12.el7_4.i686.rpm
liblouis-devel-2.5.2-12.el7_4.x86_64.rpm
liblouis-doc-2.5.2-12.el7_4.noarch.rpm
liblouis-python-2.5.2-12.el7_4.noarch.rpm
liblouis-utils-2.5.2-12.el7_4.x86_64.rpm


SRPMS:
http://oss.oracle.com/ol7/SRPMS-updates/liblouis-2.5.2-12.el7_4.src.rpm



Description of changes:

[2.5.2-12]
- Resolves: CVE-2017-15101





Printed from Linux Compatible (http://www.linuxcompatible.org/news/story/flatpakfirefoxliblouis_updates_for_oracle_linux.html)